// Copyright  1999 Branko Dimitrijevic
// bepp@bepp.8m.com
// http://bepp.8m.com

unit DBGridTitleSort_Design;

interface

procedure Register;

implementation

uses
  Classes, DsgnIntf, DBGridTitleSort;

type

  TDBGridTitleSortMaskProperty = class(TStringProperty)
    function GetAttributes: TPropertyAttributes; override;
    procedure GetValues(Proc: TGetStrProc); override;
  end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(string),TDBGridTitleSort,'ClickedTitleMask',TDBGridTitleSortMaskProperty);
end;



{ TDBGridTitleSortMaskProperty }

function TDBGridTitleSortMaskProperty.GetAttributes: TPropertyAttributes;
begin
  result := [paMultiSelect, paValueList, paRevertable];
end;

procedure TDBGridTitleSortMaskProperty.GetValues(Proc: TGetStrProc);
begin
  Proc('%t (sorted)');
  Proc('%t %s');
  Proc('%t (%i)');
  Proc('%i: %t')
end;



end.
